$mobile: 576px;
$tablet: 767px;
$desktop: 992px;
$extra: 1200px;

@mixin small {
  @media (max-width: #{$mobile}) {
    @content;
  }
}

@mixin small-ls {
  @media only screen and (max-width: #{$mobile}) and (orientation: landscape) {
    @content;
  }
}

@mixin mobile {
  @media (max-width: #{$tablet}) {
    @content;
  }
}

@mixin tablet {
  @media (min-width: #{$tablet}) and (max-width: #{$desktop}) {
    @content;
  }
}

@mixin desktop {
  @media (min-width: #{$desktop}) and (max-width: #{$extra}) {
    @content;
  }
}

@mixin extra {
  @media (min-width: #{$extra}) {
    @content
  }
}